Bug Hunting Session
Bug 77826 - Draw - Usability - Line Width incrementation too coarse
Summary: Draw - Usability - Line Width incrementation too coarse
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: ux-advise (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86 (IA32) All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-23 17:37 UTC by Gerhard Mesenich
Modified: 2016-08-02 15:43 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerhard Mesenich 2014-04-23 17:37:18 UTC
Currently the Line Width label shows 0.5mm increments, which is much to coarse for a typical formal line drawing. 

For good appearance only very few Line Widths should be mixed; similar to a good document, where a plethora of fonts should not be combined. This can be avoided by having only a few well chosen named settings:

Suggested good Named Line Width settings:

     thin - 0.25mm - auxilary lines, hatchings, etc.
   normal - 0.35mm - 1pt - connecting lines, details
      fat - 0.5mm  - Outlines, Symbols, Handwriting, etc.
 ultrafat - 0.7mm  - simple outline sketches with little detail
      
  settable and selectable with pen-width selector label.
  
The above would enforce good drawing practice and ease good looking formal drawing. They are spaced by a factor of approx. 1.4 (sqrt 2), so that the drawings almost always look well under almost any scale. Usually only 3 of the above would be used, a thinner set for detailed drawings, the thicker set for rough sketches with only a few lines and little detail.
Comment 1 Jean-Baptiste Faure 2014-06-22 17:49:15 UTC
Set as enhancement.

Best regards. JBF
Comment 2 Jean-Baptiste Faure 2014-06-22 17:59:02 UTC
Added UX-advise mailing-list as CC

Best regards. JBF
Comment 3 Robinson Tryon (qubit) 2014-12-22 07:24:37 UTC
UX: one for you :-)

Component -> ux-advise
Status -> NEW
Comment 4 Heiko Tietze 2016-08-02 15:43:47 UTC
The steps are in 0.5mm, 0.1cm, 0.02in, 0.1pc, or 1pt depending on the setting under tools > options > (Writer) > Measurement unit.

The control is a numerical stepper allowing to enter a value directly and to increase or decrease it by a fix value. If this value is too small you need to click too often for large changes.

Your proposal is to reduce the freedom in favor of a dropdown with fix values. This will not work. The sidebar provides access to line thickness similarly to what you have in mind but in points. I believe that's better than using names since people needs to adopt to the actual values.

Closing this issue as WONTFIX.